import { m as mod, r as ErrorPath, o as menuVisibility } from "./index.js";
const DataRetrievalStatus = mod.enum(["Pending", "InProgress", "Completed", "Canceled", "Failed", "Expired"]);
const accountWildCardRedirect = () => {
  const {
    accountOverview,
    profile,
    changePassword,
    linkedAccounts,
    purchasedItems,
    subscription,
    orderHistory,
    paymentMethods,
    redeemCode,
    notification,
    privacyRecords,
    personalData,
    deleteAccount
  } = menuVisibility;
  let accountRoute = "/account/";
  if (accountOverview()) {
    accountRoute += "overview";
  } else if (profile()) {
    accountRoute += "profile";
  } else if (changePassword()) {
    accountRoute += "change-password";
  } else if (linkedAccounts()) {
    accountRoute += "linked-accounts";
  } else if (purchasedItems()) {
    accountRoute += "purchased-items";
  } else if (subscription()) {
    accountRoute += "subscription";
  } else if (orderHistory()) {
    accountRoute += "order-history";
  } else if (paymentMethods()) {
    accountRoute += "payment-methods";
  } else if (redeemCode()) {
    accountRoute += "redeem-code";
  } else if (notification()) {
    accountRoute += "notification-preferences";
  } else if (privacyRecords()) {
    accountRoute += "privacy-records";
  } else if (personalData()) {
    accountRoute += "personal-data";
  } else if (deleteAccount()) {
    accountRoute += "account-deletion";
  } else {
    return ErrorPath.Error404.makePath();
  }
  return accountRoute;
};
export { DataRetrievalStatus as D, accountWildCardRedirect as a };
